# Read an approval.

> https://koi.dog/docs/api/approvals/get-approval/

`GET /api/v1/approvals/{id}` · Scope: `read`

No query parameters.

## Path parameters.

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `id` | `string` | yes | The approval's id. |

## Response.

200 OK: a `Approval`. The example has placeholder values.

## Request.

```sh
curl "https://app.koi.dog/api/v1/approvals/$ID" \
    -H "Authorization: Bearer $KOIDOG_API_KEY"
```

```js
const res = await fetch(`https://app.koi.dog/api/v1/approvals/${process.env.ID}`, {
  headers: {
    Authorization: `Bearer ${process.env.KOIDOG_API_KEY}`,
  },
});
console.log(await res.json());
```

```python
import os

import requests

r = requests.get(
    f"https://app.koi.dog/api/v1/approvals/{os.environ['ID']}",
    headers={
        "Authorization": f"Bearer {os.environ['KOIDOG_API_KEY']}",
    },
)
r.raise_for_status()
print(r.json())
```

## Response example.

```json
{
  "id": "string",
  "kind": "merge",
  "title": "string",
  "detail": "string",
  "state": "pending",
  "createdAt": "string",
  "decidedBy": {
  },
  …
}
```
